Last Comment Bug 827180 - java.lang.NullPointerException: at org.mozilla.gecko.db.LocalBrowserDB.desktopBookmarksExist(LocalBrowserDB.java)
: java.lang.NullPointerException: at org.mozilla.gecko.db.LocalBrowserDB.deskto...
Status: RESOLVED FIXED
[native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- critical (vote)
: Firefox 25
Assigned To: Chris Kitching [:ckitching]
:
Mentors:
Depends on: 887820
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 15:14 PST by Scoobidiver (away)
Modified: 2013-07-12 11:02 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
affected
affected
affected
affected
affected
affected
fixed


Attachments

Description Scoobidiver (away) 2013-01-06 15:14:17 PST
There are about 100 crashes across all channels, including bp-00c1ea70-8034-40d6-9562-41f122130102.

java.lang.NullPointerException
	at org.mozilla.gecko.db.LocalBrowserDB.desktopBookmarksExist(LocalBrowserDB.java:419)
	at org.mozilla.gecko.db.LocalBrowserDB.getBookmarksInFolder(LocalBrowserDB.java:357)
	at org.mozilla.gecko.db.BrowserDB.getBookmarksInFolder(BrowserDB.java:177)
	at org.mozilla.gecko.BookmarksTab$BookmarksQueryTask.doInBackground(BookmarksTab.java:359)
	at org.mozilla.gecko.BookmarksTab$BookmarksQueryTask.doInBackground(BookmarksTab.java:346)
	at android.os.AsyncTask$2.call(AsyncTask.java:264)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:305)
	at java.util.concurrent.FutureTask.run(FutureTask.java:137)
	at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:208)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1076)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:569)
	at java.lang.Thread.run(Thread.java:856)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.db.LocalBrowserDB.desktopBookmarksExist%28LocalBrowserDB.java%29
Comment 1 Chris Kitching [:ckitching] 2013-06-28 14:28:50 PDT
It appears this bug is caused by the Cursor in desktopBookmarksExist being null when close() is called, causing the NullPointerException.
The patch I just submitted to 887820 corrects this problem.

Note You need to log in before you can comment on or make changes to this bug.